Searched defs:die (Results 1 - 25 of 80) sorted by relevance

1234

/external/chromium_org/third_party/tcmalloc/chromium/src/tests/
H A Dsampling_test.sh65 die() { # runs the command given as arguments, and then dies. function
73 rm -rf "$OUTDIR" || die "Unable to delete $OUTDIR"
74 mkdir "$OUTDIR" || die "Unable to create $OUTDIR"
85 || die "$PPROF" --text "$SAMPLING_TEST_BINARY" "$OUTDIR/out.heap"
91 || die "$PPROF" --text "$SAMPLING_TEST_BINARY" "$OUTDIR/out.growth"
/external/chromium_org/third_party/tcmalloc/vendor/src/tests/
H A Dsampling_test.sh65 die() { # runs the command given as arguments, and then dies. function
73 rm -rf "$OUTDIR" || die "Unable to delete $OUTDIR"
74 mkdir "$OUTDIR" || die "Unable to create $OUTDIR"
85 || die "$PPROF" --text "$SAMPLING_TEST_BINARY" "$OUTDIR/out.heap"
91 || die "$PPROF" --text "$SAMPLING_TEST_BINARY" "$OUTDIR/out.growth"
/external/elfutils/0.153/libdw/
H A Ddwarf_getlocation_implicit_pointer.c73 Dwarf_Die die; local
74 if (__libdw_offdie (attr->cu->dbg, op->number, &die,
78 if (INTUSE(dwarf_attr) (&die, DW_AT_location, result) == NULL
79 && INTUSE(dwarf_attr) (&die, DW_AT_const_value, result) == NULL)
H A Ddwarf_hasattr_integrate.c58 dwarf_hasattr_integrate (Dwarf_Die *die, unsigned int search_name) argument
64 if (INTUSE(dwarf_hasattr) (die, search_name))
68 Dwarf_Attribute *attr = INTUSE(dwarf_attr) (die, DW_AT_abstract_origin,
71 attr = INTUSE(dwarf_attr) (die, DW_AT_specification, &attr_mem);
75 die = INTUSE(dwarf_formref_die) (attr, &die_mem);
77 while (die != NULL);
H A Ddwarf_attr_integrate.c58 dwarf_attr_integrate (Dwarf_Die *die, unsigned int search_name, argument
65 Dwarf_Attribute *attr = INTUSE(dwarf_attr) (die, search_name, result);
69 attr = INTUSE(dwarf_attr) (die, DW_AT_abstract_origin, result);
71 attr = INTUSE(dwarf_attr) (die, DW_AT_specification, result);
75 die = INTUSE(dwarf_formref_die) (attr, &die_mem);
77 while (die != NULL);
H A Ddwarf_decl_file.c61 dwarf_decl_file (Dwarf_Die *die) argument
67 (die, DW_AT_decl_file, &attr_mem),
79 struct Dwarf_CU *cu = die->cu;
H A Ddwarf_getfuncs.c68 Dwarf_Die *die; local
75 die = INTUSE(dwarf_offdie) (cudie->cu->dbg, offset, &die_mem);
76 res = INTUSE(dwarf_siblingof) (die, &die_mem);
78 die = res != 0 ? NULL : &die_mem;
80 while (die != NULL)
82 if (INTUSE(dwarf_tag) (die) == DW_TAG_subprogram)
84 if (callback (die, arg) != DWARF_CB_OK)
85 return INTUSE(dwarf_dieoffset) (die);
88 if (INTUSE(dwarf_siblingof) (die, &die_mem) != 0)
H A Ddwarf_haspc.c59 dwarf_haspc (Dwarf_Die *die, Dwarf_Addr pc) argument
61 if (die == NULL)
68 while ((offset = INTUSE(dwarf_ranges) (die, offset, &base,
H A Ddwarf_decl_line.c71 __libdw_attr_intval (Dwarf_Die *die, int *linep, int attval) argument
77 (die, attval, &attr_mem),
H A Ddwarf_getscopes_die.c58 scope_visitor (unsigned int depth, struct Dwarf_Die_Chain *die, void *arg) argument
60 if (die->die.addr != *(void **) arg)
73 scopes[i++] = die->die;
74 die = die->parent;
76 while (die != NULL);
84 dwarf_getscopes_die (Dwarf_Die *die, Dwarf_Die **scopes) argument
86 if (die
[all...]
H A Ddwarf_func_inline.c65 struct Dwarf_Die_Chain *die, void *arg)
69 if (INTUSE(dwarf_tag) (&die->die) != DW_TAG_inlined_subroutine)
73 Dwarf_Attribute *attr = INTUSE(dwarf_attr) (&die->die, DW_AT_abstract_origin,
86 return (*v->callback) (&die->die, v->arg);
119 struct Dwarf_Die_Chain cu = { .die = CUDIE (func->cu), .parent = NULL };
64 scope_visitor(unsigned int depth __attribute__ ((unused)), struct Dwarf_Die_Chain *die, void *arg) argument
H A Ddwarf_getattrs.c59 dwarf_getattrs (Dwarf_Die *die, int (*callback) (Dwarf_Attribute *, void *), argument
62 if (die == NULL)
68 const unsigned char *die_addr = die->addr;
74 if (die->abbrev == NULL)
76 die->abbrev = __libdw_findabbrev (die->cu, u128);
78 if (unlikely (die->abbrev == DWARF_END_ABBREV))
86 const unsigned char *attrp = die->abbrev->attrp;
87 const unsigned char *const offset_attrp = die->abbrev->attrp + offset;
90 Dwarf *dbg = die
[all...]
/external/llvm/autoconf/
H A DAutoRegen.sh3 die() { function
30 test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
32 test $? -eq 0 || die "Your autoconf was not detected as being $want_autoconf_version_clean"
34 test $? -eq 0 || die "Your aclocal was not detected as being $want_aclocal_version_clean"
36 test $? -eq 0 || die "Your autoheader was not detected as being $want_autoheader_version_clean"
48 aclocal --force -I $cwd/m4 || die "aclocal failed"
50 autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
53 autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
/external/bison/build-aux/
H A Ddo-release-commit-and-tag29 die() { warn "$*"; exit 1; } function
105 --*) die "unrecognized option: $1";;
111 || die "Usage: $ME [OPTION...] VERSION TYPE"
123 || die "invalid version: $ver"
125 || die 'failed to determine previous version number from .prev-version'
130 *) die "invalid version: $ver (<= $prev_ver)";;
135 *) die "invalid release type: $type";;
141 *) die 'this tree is dirty; commit your changes first';;
146 test "$curr_br" = refs/heads/$branch || die not on branch $branch
151 || die "faile
[all...]
H A Dgnu-web-doc-update29 die() { warn "$*"; exit 1; } function
68 # die otherwise.
89 || die "one of these is required: $find_tool_names"
91 || die "${find_tool_error_prefix}cannot run $find_tool_res --version"
124 --*) die "unrecognized option: $1";;
130 || die "too many arguments"
133 version=$(cat $prev) || die "no $prev file?"
135 || die "no Makefile?"
/external/glide/
H A Dgradlew22 die ( ) { function
79 die "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME
86 which java >/dev/null 2>&1 || die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
/external/glide/library/
H A Dgradlew22 die ( ) { function
79 die "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME
86 which java >/dev/null 2>&1 || die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
/external/smali/
H A Dgradlew22 die ( ) { function
79 die "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME
86 which java >/dev/null 2>&1 || die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
/external/chromium_org/third_party/libvpx/source/libvpx/build/make/
H A Dgen_msvs_def.sh38 die() { function
77 [ -n "$name" ] || die "Library name (--name) must be specified!"
H A Dgen_msvs_sln.sh34 die() { function
115 [ -z "${dep_guid}" ] && die "Unknown GUID for $dep (dependency of $var)"
260 *) die Unrecognized Visual Studio Version in $opt
271 *) die "Unrecognized Visual Studio Version '$optval' in $opt"
H A Dmsvs_common.sh19 die() { function
75 die "Missing attribute value in '$opt' while generating $tag tag"
/external/libvpx/libvpx/build/make/
H A Dgen_msvs_def.sh38 die() { function
77 [ -n "$name" ] || die "Library name (--name) must be specified!"
H A Dgen_msvs_sln.sh34 die() { function
115 [ -z "${dep_guid}" ] && die "Unknown GUID for $dep (dependency of $var)"
260 *) die Unrecognized Visual Studio Version in $opt
271 *) die "Unrecognized Visual Studio Version '$optval' in $opt"
/external/bouncycastle/
H A Dimport_bouncycastle.sh33 function die() { function
55 die "Bouncy Castle patch directory patches/ not found"
59 die "bouncycastle.version not found"
64 die "Invalid bouncycastle.version; see README.android for more information"
74 die "bouncycastle.config not found"
80 die "Invalid bouncycastle.config; see README.android for more information"
245 patch -p1 --merge < ../$i || die "Could not apply patches/$i. Fix source and run: $0 regenerate $i"
276 LC_ALL=C TZ=UTC0 diff -Naur $bouncycastle_dir_orig $bouncycastle_dir >> $patch && die "ERROR: No diff for patch $path in file $i"
/external/deqp/scripts/build/
H A Dcommon.py10 def die (msg): function

Completed in 259 milliseconds

1234